REST APICounterparties

GET

List all entries in the public directory, including all your connections.

Query Params

  • limit string or number required

    ONE OF

    string
  • offset string or number required

    ONE OF

    string
  • coin array of strings
  • entryType array of string enums
    GO_ACCOUNT
  • orderBy string enum required
    descriptioncoinentryTypecreatedAtupdatedAtlisting.name
  • orderDirection string enum required
    ASCDESC
  • featured boolean
  • savedContactsNotInDirectory string required

    ONE OF

    string enum
  • name string

    at least 1 characters

Header Params

  • enterprise-id string required

    at least 1 characters

  • user-id string required

    at least 1 characters

Responses

200
OK

Response Body

object

  • listingEntries array of objects required
    listingEntries object
    • listing object required
      codec for listing http response
      listing object
      • id string required
      • name string required

        at least 1 characters

      • description string

        at least 1 characters

      • editable boolean required
        True, if the name is editable.
    • id string required
    • walletId string required

      at least 1 characters

    • coin string required

      at least 1 characters

    • type string enum required
      codec for entry type
      GO_ACCOUNT
    • description string

      at least 1 characters

    • discoverable boolean required
    • featured boolean required
    • createdAt string date-time required
    • updatedAt string date-time required
    • connections array of objects required
      connections object
      • ownerListingEntry object required
        ownerListingEntry object
        • listing object required
          codec for listing http response
          listing object
          • Same shape as V1ListingResponse.
        • id string required
        • walletId string required

          at least 1 characters

        • coin string required

          at least 1 characters

        • type string enum required
          codec for entry type
          GO_ACCOUNT
        • description string

          at least 1 characters

        • discoverable boolean required
        • featured boolean required
        • createdAt string date-time required
        • updatedAt string date-time required
      • targetListingEntry object required
        targetListingEntry object
        • Same shape as V1ListingEntryWithListingResponse.
      • id string required
      • type string enum required
        codec for valid connection statuses
        DVPWHITELIST
      • status string enum required
        codec for valid connection statuses
        PENDING_DEACTIVATIONPENDING_ACTIVATIONACTIVEINACTIVEUNDER_REVIEWREQUESTED
      • label string required

        at least 1 characters

      • description string

        at least 1 characters

      • createdBy string required

        at least 1 characters

      • updatedBy string required

        at least 1 characters

      • createdAt string date-time required
      • updatedAt string date-time required
      • linkedConnectionId string
      • hidden boolean required
      • requestRemindersSent number
      • requestReminderLastSent string date-time
      • evaluationId string

        at least 1 characters

    • totalCount number
400
Bad Request
No response body
401
Unauthorized

Response Body

object

  • errorName string required
  • error string required
500
Internal Server Error

Response Body

object

  • errorName string required
  • error string required